• Platform
    • Overview
      • Risk Cloud Overview
      • Spark AI
      • Value Realization Tool
      • Services & Support
      • Pricing
    • Capabilities
      • Reporting & Analytics
      • Risk Quantificaton
      • Integrations & API
      • Risk Cloud Exchange
      • Frameworks
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
  • Solutions
    • _separator
      • AI Governance
      • Cyber Risk Management
      • Enterprise Risk Management
      • Third-Party Risk Management
      • Controls Compliance
      • Policy Management
    • _separator
      • Regulatory Compliance
      • Data Privacy
      • Operational Resilience
      • Environmental, Social & Governance
      • Internal Audit
    • 10 Purpose-Built GRC Solutions. One Connected Platform.
      View All Solutions
  • Industries
    • _separator
      • Industries Overview
      • Software
      • FinTech
      • Telecom
      • Financial Services
    • _separator
      • Insurance
      • Investment Services
      • Hospitals & Health Systems
      • Pharmaceuticals
      • Medical Devices
    • _separator
      • Oil & Gas
      • Utilities
      • Alternative Energy
  • Company
    • _separator
      • About Us
      • Careers
      • Leadership
      • Partners
    • _separator
      • News
      • Trust & Security
      • Contact Us
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
  • Resources
    • Risk Cloud Help
      • Help Center
      • Developer Portal
    • Learn + Connect
      • Blog
      • Customer Stories
      • Resources
      • Events
      • Podcast
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
Request A Demo
img
The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
Get the Full Report

Documentation

Menu

  • Quick Start Guides
    • Risk Cloud API: Postman
    • Risk Cloud API: Getting Started
    • Risk Cloud PowerBI Connection
    • Risk Cloud Webhooks
  • API Usage Guides
    • Risk Cloud API: Update Field Configuration
    • Risk Cloud API: Update Roles on User
    • Risk Cloud API: Update Users and Permission Sets on Role
    • Risk Cloud API: Delete Records
    • Risk Cloud API: Bulk Link Records
    • Risk Cloud API: Data Repositories
    • Risk Cloud API: Bulk Import Records
    • Risk Cloud API: Build Audit Log Export
    • Risk Cloud API: Grant Users Record Access
    • Risk Cloud API: Assign Records
    • Risk Cloud API: View Record Audits
    • Risk Cloud API: Update Record User Groups
    • Risk Cloud API: Create User Groups
    • Risk Cloud API: Export Attachments
    • Risk Cloud API: Update Records
    • Risk Cloud API: Create Records
    • Risk Cloud API: View Field Audits
    • Risk Cloud API: Moving Records
    • Risk Cloud API: Post Record Comments
    • Risk Cloud API: Export Table Report
    • Risk Cloud API: Link Records
    • Risk Cloud API: Export Step Permission Sets
    • Risk Cloud API: Export User Groups
    • Risk Cloud API: Export Roles
    • Risk Cloud API: Linked Record Search
    • Risk Cloud API: Record Search
    • Risk Cloud API: Automated Evidence Collection
    • Risk Cloud API: Pagination
    • Risk Cloud API: Authentication
    • Risk Cloud API: Export Record Data
    • Risk Cloud API: Upload Attachments
    • Risk Cloud API: View User Access Audits
    • Risk Cloud API: View Applications, Workflows, and Steps
    • Risk Cloud API: Viewing Fields
    • Risk Cloud API: Viewing Users
    • Risk Cloud API: Create Users
  • Release Notes
    • v2025.4.0 Release Notes
    • v2025.3.2 Release Notes
    • v2025.2.0 Release Notes
    • v2025.1.0 Release Notes
    • v2024.12.0 Release Notes
    • v2024.11.1 Release Notes
    • v2024.11.0 Release Notes
    • v2024.10.1 Release Notes
    • v2024.10.0 Release Notes
    • v2024.9.2 Release Notes
    • v2024.9.1 Release Notes
    • v2024.9.0 Release Notes
    • v2024.8.1 Release Notes
    • v2024.8.0 Release Notes
    • v2024.7.1 Release Notes
    • v2024.7.0 Release Notes
    • v2024.6.1 Release Notes
    • v2024.6.0 Release Notes
    • v2024.5.1 Release Notes
    • v2024.5.0 Release Notes
    • v2024.4.2 Release Notes
    • v2024.4.1 Release Notes
    • v2024.4.0 Release Notes
    • v2024.3.1 Release Notes
    • v2024.3.0 Release Notes
    • v2024.2.1 Release Notes
    • v2024.2.0 Release Notes
    • v2024.1.1 Release Notes
    • v2024.1.0 Release Notes
    • v2023.12.0 Release Notes
    • v2023.11.0 Release Notes
    • v2023.10.2 Release Notes
    • v2023.10.1 Release Notes
    • v2023.10.0 Release Notes
    • v2023.9.1 Release Notes
    • v2023.9.0 Release Notes
    • v2023.8.1 Release Notes
    • v2023.8.0 Release Notes
    • v2023.7.1 Release Notes
    • v2023.7.0 Release Notes
    • v2023.6.1 Release Notes
    • v2023.6.0 Release Notes
    • v2023.5.2 Release Notes
    • v2023.5.1 Release Notes
    • v2023.5.0 Release Notes
    • v2021.4.0 Release Notes
    • v2021.3.0 Release Notes
    • v2021.2.0 Release Notes
    • v2021.1.0 Release Notes
  • Developer Blogs
    • New Year, New Developer Relations Resources: 2024 in Review
    • New Year, New Developer Relations Resources: 2023 in Review
    • Tidying Up Existing REST APIs
    • Accessibility Improvements at LogicGate
    • What Do We Look for in Developers?
    • 2 Quick Tips I’ve learned for FE Testing as a LogicGate Dev
    • Kotlin at LogicGate
    • Spring Boot with Neo4j & MySQL
  • Case Studies
  • Home
  • Developer Resources
  • API Usage Guides

Risk Cloud API: Bulk Import Records

Updated on: July 31, 2024

Records can be imported in bulk from CSV and XLSX import files in the Risk Cloud web application.  This functionality can also be leveraged via the Risk Cloud API's Bulk Import API endpoints.

Obtain your API Access Token or pull the Risk Cloud Postman Collection to get started.

Bulk Import Records Endpoint

The internal Record API offers the following Bulk Import Records endpoint, allowing custom integrations to create records on a given step based on data provided in a CSV or XLSX file payload, structured based off of the given Risk Cloud layout.

The endpoint is available to all users with the Import entitlement.

POST/api/v1/internal/records/import?step={step-id}&layout={layout-id}

This endpoint has the following query parameters.

Property Requiredness Description
step required The unique ID of the step to create a records on.
layout required The unique ID of the Risk Cloud layout that defines the column headers and structure in the attached CSV or XLSX payload.

Request

The CSV or XLSX file should have headers reflecting the field names of the fields in the specified Risk Cloud layout. For example, if the layout contains custom fields "Name", "Description", and "Amount", a valid and importable CSV would be formatted as shown below.

Title,Description,Amount
Phishing,Deceptive attempts to obtain sensitive information by masquerading as a trustworthy entity,9
Malware,Malicious software designed to compromise a device or network.,8
DDoS Attacks,Overwhelming a network or service with excessive traffic to cause disruption.,7

The CSV or XLSX file can be sent in the request using the  multipart/form-data content type with a key named file and a value of the import CSV or XLSX file (often represented by HTTP request libraries or tools as the path to the file).

A cURL sample is demonstrated below:

curl --location 'https://your-company.logicgate.com/api/v1/internal/records/import?step={step-id}&layout={layout-id}' \\
--header 'Authorization: Bearer {API_TOKEN}' \\
--form 'file=@"/the/path/to/file/import.csv"'

Response

{
  "importType": "ImportRecordRequest",
  "id": "{{import-record-request-id}}",
  "layoutSnapshot": null,
  "batchRecordImport": null
}
Notable Property Description
id The unique ID of the bulk import record request, which can be used to keep track of the bulk import status.

Bulk Import Status Endpoint

Once the Bulk Import Records endpoint receives a successful request, it begins asynchronously importing the records in the given CSV or XLSX file.

To keep track of the import status, the following Bulk Import Status endpoint can be polled periodically until it returns a payload containing the statusproperty as COMPLETED.

POST/api/v1/internal/records/import/{id}
Path Property Description
id The unique ID of the bulk import record request, which can be used to keep track of the bulk import status.

Response

{
  "importRequestId": "{{import-request-id}}",
  "completed": 1722459144960,
  "totalRows": 2,
  "invalidRows": 0,
  "validRows": 2,
  "status": "COMPLETED",
  "creator": {
    "id": "{{user-id}}",
    "email": "[email protected]",
    ....
  }
  ...
}
Notable Property Description
importRequestId The unique ID of the bulk import record request, which can be used to keep track of the bulk import status.
completed A unix timestamp in milliseconds of the completion time of the bulk import operation.
totalRows The total number of rows to be imported
invalidRows The number of rows that were marked as invalid in the import
validRows The number of rows that were marked as valid in the import
status The status of the bulk import operation, once the value is COMPLETED the bulk import operation is complete.

Resources

Get Layout ID

The layout represents the field columns of the CSV or XLSX export. The layout-id can be obtained from the Risk Cloud web application or via the Risk Cloud API. Additionally, custom layouts may be created for specific integration use cases.

Using the Risk Cloud application

The most straightforward way to find a layout ID is to open the desired layout from the builder page located at Build > Layouts in the Risk Cloud web application, then take the ID from the end of the URL.

https://your-company.logicgate.com/build/layouts/{layout-id}

Using the Risk Cloud API

The Retrieve Layouts endpoint returns all layouts that the user is entitled to, either as an Admin, Builder, or Step Permission Set grantee. If no layouts are returned, check the permissions of the requesting API user to ensure that proper permissions are granted.

GET/api/v1/layouts

This will return an array of layout objects, each looking like the following. Parse the layout objects by properties like workflow, application, or title until you have located the intended layout.

{
  "id": "a1b2c3d4",
  "title": "[Reg Compliance] Assessments",
  "defaultLayout": true,
  "workflow": {
    "id": "e5f6g7h8",
    "name": "Risk and Impact Assessments",
    "application": {
      "id": "i8j9k0l1",
      "name": "RCX: Regulatory Compliance",
      ...
    },
    ...
  },
  "layoutType": "Display",
  ...
}

Get Step ID

The step ID for the stepId property can be obtained from either your Risk Cloud web app environment directly or from the Risk Cloud API.

Get Step ID (Web App Environment)

The step ID can be located within your Risk Cloud web app environment in the following location:

  • Navigate to Build > Applications
  • Search for and open the application containing the step
  • Open the workflow containing the step
  • Open the step
  • The step ID can be found in the web browser URL bar https://environment.logicgate.com/build/steps/{step-id}

Get Step ID (Risk Cloud API)

The step ID can be located via the Retrieve Steps endpoint, specifically in the id property of step objects returned in the content property of the response.

GET/api/v2/steps
Read Previous API Usage Guides
Read Next API Usage Guides
  • 320 W Ohio St
    Suite 600W
    Chicago, IL 60654
  • 312-279-2775
    • LinkedIn
    • Twitter
    • Youtube
  • Looking for something specific?
  • Request A Demo
  • Platform
    • Risk Cloud Overview
    • Spark AI
    • Value Realization Tool
    • Reporting & Analytics
    • Risk Quantification
    • Integrations & API
    • Risk Cloud Exchange
    • Services & Support
    • Frameworks
    • Pricing
  • Company
    • Careers We're hiring!
    • Executive Team
    • Partners
    • LogicGate News
    • LogicGate Trust Center
    • Contact Us
  • Resources
    • Blog
    • Email Newsletter
    • Resource Center
    • Help Center
    • Developer
  • Solutions
    • AI Governance
    • Cyber Risk & Controls Compliance
    • Enterprise Risk Management
    • Third-Party Risk Management
    • Controls Compliance
    • Regulatory Compliance
    • Data Privacy Management
    • Operational Resilience
    • Policy Management
    • Environmental, Social & Governance
    • Internal Audit Management
    • View All Solutions
  • Industries
    • Software
    • FinTech
    • Telecom
    • Financial Services
    • Insurance
    • Investment Services
    • Healthcare
    • Pharmaceuticals
    • Medical Devices
    • Oil & Gas
    • Utilities
    • Alternative Energy
  • LinkedIn TwitterYoutube

Copyright © 2026. LogicGate, Inc. All rights reserved.

  • Privacy Policy
  • Information Security Measures